{ lib, pkgs, config, modulesPath, ... }:

{
  imports = [
    ../../configuration/common
    (modulesPath + "/installer/cd-dvd/sd-image.nix")
  ];

  nixpkgs.system = "aarch64-linux";

  boot.loader.grub.enable = false;
  boot.loader.raspberryPi.enable = true;
  boot.loader.raspberryPi.version = 4;
  boot.kernelPackages = pkgs.linuxPackages_rpi4;

  sdImage = {
    firmwareSize = 1024;
    firmwarePartitionName = "NIXOS_BOOT";
    populateFirmwareCommands =
      "${config.system.build.installBootLoader} ${config.system.build.toplevel} -d ./firmware";
    populateRootCommands = "";
  };

  fileSystems."/boot/firmware" = {
    mountPoint = "/boot";
    neededForBoot = true;
  };

  documentation.enable = false;

  networking.hostName = "drain";

  networking.interfaces.eth0.useDHCP = true;

  system.stateVersion = "21.03";
}
